Omniplex Docs

Packs

These API endpoints are related to Omniplex packs

Get Pack

GET
/packs/{id}

Gets a pack on the list based on the URL.

Path Parameters

id*string

The URL of the pack.

Response Body

Success

application/json
  1. response
bot_ids?array<>

The pack's bot IDs (pack_type=bot only)

bots?array<>

The resolved bots in the pack

created_at?string

The pack's creation date

Formatdate-time
emojis?array<>

The pack's emojis (pack_type=emoji only), resolved from pack_emojis

name?string

The pack's name

owner?

The resolved owner of the pack

pack_type?string

What the pack bundles: bot, server, emoji, or sticker

server_ids?array<>

The pack's server IDs (pack_type=server only)

servers?array<>

The resolved servers in the pack

short?string

The pack's short description

sounds?array<>

The pack's sounds (pack_type=sound only), resolved from pack_sounds

stickers?array<>

The pack's stickers (pack_type=sticker only), resolved from pack_stickers

tags?array<>

The pack's tags

url?string

The pack's URL

vote_banned?boolean

Whether the pack is banned from voting

votes?integer

The pack's vote count

Example Request
curl -X GET 'https://spider.omniplex.gg/packs/string'
Example Response
{  "bot_ids": [    "string"  ],  "bots": [    {      "approximate_votes": 0,      "asset_versions": {        "property1": "string",        "property2": "string"      },      "boosted_until": "2019-08-24T14:15:22Z",      "bot_id": "string",      "card_color": "string",      "clicks": 0,      "created_at": "2019-08-24T14:15:22Z",      "featured_until": "2019-08-24T14:15:22Z",      "hidden_stats": [        "string"      ],      "highlighted": true,      "invite_clicks": 0,      "library": "string",      "nsfw": true,      "premium": true,      "servers": 0,      "shards": 0,      "short": "string",      "spotlighted_until": "2019-08-24T14:15:22Z",      "supporter_badge": true,      "tags": [        "string"      ],      "type": "string",      "user": {        "avatar": "string",        "bot": true,        "display_name": "string",        "extra_data": {          "property1": null,          "property2": null        },        "flags": [          "string"        ],        "id": "string",        "status": "string",        "username": "string"      },      "vanity": "string",      "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7",      "views_30d": 0,      "vote_blitz_until": "2019-08-24T14:15:22Z",      "votes": 0    }  ],  "created_at": "2019-08-24T14:15:22Z",  "emojis": [    {      "animated": true,      "downloads": 0,      "id": "string",      "name": "string",      "position": 0,      "vanity": "string"    }  ],  "name": "string",  "owner": {    "avatar": "string",    "bot": true,    "display_name": "string",    "extra_data": {      "property1": null,      "property2": null    },    "flags": [      "string"    ],    "id": "string",    "status": "string",    "username": "string"  },  "pack_type": "string",  "server_ids": [    "string"  ],  "servers": [    {      "approximate_votes": 0,      "asset_versions": {        "property1": "string",        "property2": "string"      },      "avatar": "string",      "boosted_until": "2019-08-24T14:15:22Z",      "card_color": "string",      "clicks": 0,      "featured_until": "2019-08-24T14:15:22Z",      "hidden_stats": [        "string"      ],      "highlighted": true,      "invite_clicks": 0,      "name": "string",      "nsfw": true,      "online_members": 0,      "premium": true,      "server_id": "string",      "short": "string",      "spotlighted_until": "2019-08-24T14:15:22Z",      "state": "string",      "supporter_badge": true,      "tags": [        "string"      ],      "total_members": 0,      "type": "string",      "vanity": "string",      "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7",      "views_30d": 0,      "votes": 0    }  ],  "short": "string",  "sounds": [    {      "downloads": 0,      "duration_ms": 0,      "id": "string",      "name": "string",      "position": 0,      "vanity": "string"    }  ],  "stickers": [    {      "animated": true,      "downloads": 0,      "id": "string",      "name": "string",      "position": 0,      "vanity": "string"    }  ],  "tags": [    "string"  ],  "url": "string",  "vote_banned": true,  "votes": 0}

Get Pack SEO Info

GET
/packs/{id}/seo

Gets the minimal SEO information about a pack for embed/search purposes. Used by v4 website for meta tags

Path Parameters

id*string

The packs ID, name or vanity

Response Body

Success

application/json
  1. response
avatar?string

The entities resolved avatar URL (not just hash)

id?string

ID of the entity

name?string

Name of the entity

short?string

Short description of the entity

vanity?string

The entity's vanity code, used to build its canonical URL. Omitted when it has none

Example Request
curl -X GET 'https://spider.omniplex.gg/packs/string/seo'
Example Response
{  "avatar": "string",  "id": "string",  "name": "string",  "short": "string",  "vanity": "string"}

Get All Packs

GET
/packs/@all

Gets packs on the list, filtered and sorted. Packs with a description under 20 characters are left out unless all=true. This endpoint is paginated.

Query Parameters

page?string

The page number

pack_type?string

Filter to only packs of this type (bot, server, emoji, sticker, or sound). Omit to return every type.

sort?string

new (default, newest first) or votes (net votes, then most bots and servers, then newest).

all?string

true to include packs with a description under 20 characters.

Response Body

Success

application/json
  1. response
count?integer
Range0 <= value <= 18446744073709552000
per_page?integer
Range0 <= value <= 18446744073709552000
results?array<>
Example Request
curl -X GET 'https://spider.omniplex.gg/packs/@all'
Example Response
{  "count": 0,  "per_page": 0,  "results": [    {      "bot_ids": [        "string"      ],      "bots": [        {          "approximate_votes": 0,          "asset_versions": {            "property1": "string",            "property2": "string"          },          "boosted_until": "2019-08-24T14:15:22Z",          "bot_id": "string",          "card_color": "string",          "clicks": 0,          "created_at": "2019-08-24T14:15:22Z",          "featured_until": "2019-08-24T14:15:22Z",          "hidden_stats": [            "string"          ],          "highlighted": true,          "invite_clicks": 0,          "library": "string",          "nsfw": true,          "premium": true,          "servers": 0,          "shards": 0,          "short": "string",          "spotlighted_until": "2019-08-24T14:15:22Z",          "supporter_badge": true,          "tags": [            "string"          ],          "type": "string",          "user": {            "avatar": "string",            "bot": true,            "display_name": "string",            "extra_data": {              "property1": null,              "property2": null            },            "flags": [              "string"            ],            "id": "string",            "status": "string",            "username": "string"          },          "vanity": "string",          "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7",          "views_30d": 0,          "vote_blitz_until": "2019-08-24T14:15:22Z",          "votes": 0        }      ],      "created_at": "2019-08-24T14:15:22Z",      "emojis": [        {          "animated": true,          "downloads": 0,          "id": "string",          "name": "string",          "position": 0,          "vanity": "string"        }      ],      "name": "string",      "owner": {        "avatar": "string",        "bot": true,        "display_name": "string",        "extra_data": {          "property1": null,          "property2": null        },        "flags": [          "string"        ],        "id": "string",        "status": "string",        "username": "string"      },      "pack_type": "string",      "server_ids": [        "string"      ],      "servers": [        {          "approximate_votes": 0,          "asset_versions": {            "property1": "string",            "property2": "string"          },          "avatar": "string",          "boosted_until": "2019-08-24T14:15:22Z",          "card_color": "string",          "clicks": 0,          "featured_until": "2019-08-24T14:15:22Z",          "hidden_stats": [            "string"          ],          "highlighted": true,          "invite_clicks": 0,          "name": "string",          "nsfw": true,          "online_members": 0,          "premium": true,          "server_id": "string",          "short": "string",          "spotlighted_until": "2019-08-24T14:15:22Z",          "state": "string",          "supporter_badge": true,          "tags": [            "string"          ],          "total_members": 0,          "type": "string",          "vanity": "string",          "vanity_ref": "e1b95001-3370-4367-9787-1fb904c7b8c7",          "views_30d": 0,          "votes": 0        }      ],      "short": "string",      "sounds": [        {          "downloads": 0,          "duration_ms": 0,          "id": "string",          "name": "string",          "position": 0,          "vanity": "string"        }      ],      "stickers": [        {          "animated": true,          "downloads": 0,          "id": "string",          "name": "string",          "position": 0,          "vanity": "string"        }      ],      "tags": [        "string"      ],      "url": "string",      "vote_banned": true,      "votes": 0    }  ]}

Create Pack

PUT
/users/{id}/packs

Creates a pack. Returns 204 on success

Authorization

User
headerUser-Auth<token>

Requires a user token. Should be prefixed with User in Authorization header.

Path Parameters

id*string

The user's ID

Request Body

application/json
  1. body
bots?array<string>
emojis?array<>
name?string
pack_type?string
Value in"bot""server""emoji""sticker""sound"
servers?array<string>
short?string
sounds?array<>
stickers?array<>
tags?array<string>
url?string

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X PUT 'https://spider.omniplex.gg/users/string/packs' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}

Patch Pack

PATCH
/users/{uid}/packs/{id}

Edits a pack you are owner of based on the URL only. Returns 204 on success

Authorization

User
headerUser-Auth<token>

Requires a user token. Should be prefixed with User in Authorization header.

Path Parameters

uid*string

The user's ID

id*string

The pack's URL

Request Body

application/json
  1. body
bots?array<string>
emojis?array<>
name?string
servers?array<string>
short?string
sounds?array<>
stickers?array<>
tags?array<string>

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X PATCH 'https://spider.omniplex.gg/users/string/packs/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}

Delete Pack

DELETE
/users/{uid}/packs/{id}

Deletes a pack by URL. You must be the owner of the pack to delete packs. Returns 204 on success

Authorization

User
headerUser-Auth<token>

Requires a user token. Should be prefixed with User in Authorization header.

Path Parameters

uid*string

The user's ID

id*string

The pack's URL

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X DELETE 'https://spider.omniplex.gg/users/string/packs/string'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}